> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an SMS Verification

export const entity_verification_session_name = "EntityVerificationSession";

export const ParamList = ({items = [], is_child = false}) => {
  return items.map(item => {
    const field_props = {
      id: Math.random().toString(),
      body: item.name,
      name: item.name,
      type: item.type,
      required: item.required
    };
    const enums = item.enums || [];
    const items = item.items || [];
    const has_items = items?.length > 0;
    const has_enums = enums?.length > 0;
    const should_default_open = item.defaultOpen || false;
    const render_child_item = () => {
      const child_props = {
        title: has_enums ? "Possible enum values" : "properties"
      };
      if (should_default_open) child_props.defaultOpen = true;
      const has_inline_enums = has_enums && enums.every(enum_item => typeof enum_item === 'string') && enums.map((enum_item, idx) => {
        const is_last = idx === enums.length - 1;
        const is_2nd_to_last = idx === enums.length - 2;
        return <>
            <code>{enum_item}</code>
            {is_last && ''}
            {is_2nd_to_last && ' or '}
            {!is_last && !is_2nd_to_last && ', '}
          </>;
      });
      const enum_list = has_enums && !has_inline_enums && <Accordion {...child_props}>
          {enums.map((enum_item, index) => <div key={`enum-${index}`}>
              <code>{enum_item.name}</code>
              <br />
              <p>{enum_item.description}</p>
            </div>)}
        </Accordion>;
      const item_list = has_items && <Expandable {...child_props}>
          <ParamList items={items || []} is_child />
        </Expandable>;
      return <>
          <p>
            {item.description}
            {has_inline_enums && [has_inline_enums.length > 1 ? ' One of ' : ' Must be ', ...has_inline_enums]}
          </p>

          {enum_list}
          {item_list}
        </>;
    };
    return is_child ? <ResponseField {...field_props}>{render_child_item()}</ResponseField> : <ParamField {...field_props}>{render_child_item()}</ParamField>;
  });
};

Updates an ongoing {entity_verification_session_name} for an Entity to verify their phone via Method's SMS verification process.

The Entity will provide the SMS code that was sent to their phone number to complete the verification process.

## Path Parameters

<ParamList
  items={[
{
  name: "ent_id",
  type: "string",
  description: "The ID of the Entity.",
},
{
  name: "evf_id",
  type: "string",
  description: `The ID of the ${entity_verification_session_name}.`,
},
]}
/>

## Body

<ParamList
  items={[
{
  name: "type",
  type: "enum",
  required: true,
  description: `The ${entity_verification_session_name} will be verifying the Entity's phone.`,
  enums: ["phone"],
},
{
  name: "method",
  type: "enum",
  required: true,
  description: `The ${entity_verification_session_name} will be using Method's SMS verification process.`,
  enums: ["sms"],
},
{
  name: "sms",
  type: "object",
  required: true,
  description: "The SMS verification configuration.",
  items: [
    {
      name: "sms.sms_code",
      type: "string",
      required: true,
      description: "The SMS code that was sent to the Entity's phone number.",
    },
  ]
},
]}
/>

## Returns

Returns an Entity's verification session object.

<RequestExample>
  ```bash cURL theme={null}
  curl https://production.methodfi.com/entities/ent_au22b1fbFJbp8/verification_sessions/evf_3VT3bHTCnPbrm \
    -X PUT \
    -H "Method-Version: 2026-03-30" \
    -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
    -H "Content-Type: application/json" \
    -d '{
      "type": "phone",
      "method": "sms",
      "sms": {
        "sms_code": "884134"
      }
    }'
  ```

  ```javascript Node.js theme={null}
  const response = await method
    .entities("ent_au22b1fbFJbp8")
    .verificationSessions
    .update("evf_3VT3bHTCnPbrm", {
      type: "phone",
      method: "sms",
      sms: { sms_code: "884134" },
    });
  ```

  ```python Python theme={null}
  response = method
    .entities('ent_au22b1fbFJbp8')
    .verification_sessions
    .update('evf_3VT3bHTCnPbrm', {
      'type': 'phone',
      'method': 'sms',
      'sms': { 'sms_code': '884134'}
    })
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "id": "evf_3VT3bHTCnPbrm",
    "entity_id": "ent_au22b1fbFJbp8",
    "status": "verified",
    "type": "phone",
    "method": "sms",
    "sms": {
      "timestamp": "2024-04-10T16:42:03.751Z"
    },
    "error": null,
    "created_at": "2024-04-10T16:40:16.283Z",
    "updated_at": "2024-04-10T16:40:16.283Z"
  }
  ```
</ResponseExample>
